Package Gnumed :: Package pycommon :: Module gmGuiBroker |
[frames] | no frames]

# Module gmGuiBroker

source code

GNUMed GUI element brokerage

This module provides wrappers for the equivalent of global variables needed for a gnumed GUI client interface

Author: Dr. Horst Herb

Version: 0.2

Copyright: GPL v2 or later

Classes
| GuiBroker Wrapper for global objects needed by GNUMmed GUI clients

Variables
| __version__ = ``'``$Revision: 1.4 $``'``
| __author__ = ``'``H.Herb <hherb@gnumed.net>, H.Berger <Hilmar.Berg``...``
| config = ``{``'``main.shadow.colour``'``:` `(`131`,` 129`,` 131`)``,` `'``main.shadow.``...``
| __package__ = `None`

Variables Details

  ### __author__ Value:
      'H.Herb <hherb@gnumed.net>, H.Berger <Hilmar.Berger@gmx.de>'

  ### config Value:
      {'main.shadow.colour': (131, 129, 131),
       'main.shadow.width': 10,
       'main.use_notebook': 1}